- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#body.QueryContentTransfersBreakdownsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#body.aspect)
- [ContentTransfersBreakdownDimension](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#ContentTransfersBreakdownDimension)
- [ContentTransfersBreakdown](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#ContentTransfersBreakdown)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#ContentTransfersBreakdown.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#try-it)

Returns summaries of content transfers for a given metric and breakdown dimension.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/enterprise/securityInsights:queryContentTransfersBreakdowns`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer ID in the format "customers/{customer_id}". |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of breakdowns to return. The service may return fewer than this value. If unspecified, at most 50 breakdowns will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `securityInsights.queryContentTransfersBreakdowns` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `securityInsights.queryContentTransfersBreakdowns` must match the call that provided the page token. |
| `filter` | `string` Optional. The filter to apply to the request. For syntax, see AIP-160. Data is not available for events older than 180 days or more recent than 48 hours ago. If `event_time` is not specified, results will end 48 hours ago. Supported fields for filtering: - `user` - `event_domain` - `content_category` - `event_time` Filtering by `user` or `event_domain` requires the `breakdown` dimension to be set to the corresponding value (e.g., you must set `breakdown = USER` to filter by `user`). Supported operators: - `=` for `user`, `event_domain`, and `content_category`. - `<=` for `event_time`. Supported conjunctions: - `AND` Example: `user = "testuser" AND event_time <= "2024-01-02T00:00:00Z"` |
| `metric` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/ContentTransfersMetric`)`` Optional. The metric to return the breakdowns for. Defaults to CONTENT_TRANSFERS_METRIC_TOTAL_TRANSFERS. |
| `breakdown` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#ContentTransfersBreakdownDimension`)`` Optional. The dimension to break down the content transfers by. Defaults to USER. |
| `fixedTimeRange` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/FixedTimeRange`)`` Optional. The fixed time range to return the breakdowns for. Defaults to FIXED_TIME_RANGE_FOUR_WEEKS. Fixed time ranges are used to allow for precomputation and optimize response times. |

### Request body

The request body must be empty.

### Response body

Response message for securityInsights.queryContentTransfersBreakdowns.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "contentTransfersBreakdowns": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#ContentTransfersBreakdown`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `contentTransfersBreakdowns[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/queryContentTransfersBreakdowns#ContentTransfersBreakdown`)`` The content transfer breakdowns from the specified insight. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chrome.management.securityinsights.readonly`
- `https://www.googleapis.com/auth/chrome.management.securityinsights`

## ContentTransfersBreakdownDimension

The dimension to break down the content transfers by.

| Enums ||
|---|---|
| `CONTENT_TRANSFERS_BREAKDOWN_DIMENSION_UNSPECIFIED` | Unspecified breakdown dimension. Defaults to USER. |
| `USER` | Breakdown by user. |
| `EVENT_DOMAIN` | Breakdown by event domain. |
| `CONTENT_CATEGORY` | Breakdown by content category. |

## ContentTransfersBreakdown

A content transfers summary for a given breakdown dimension.

| JSON representation |
|---|
| ``` { "summary": { object (`https://developers.google.com/chrome/management/reference/rest/v1/ContentTransfersSummary`) }, // Union field `dimension` can be only one of the following: "user": string, "eventDomain": string, "contentCategory": string // End of list of possible types for union field `dimension`. } ``` |

| Fields ||
|---|---|
| `summary` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/ContentTransfersSummary`)`` The summary of content transfers for the breakdown dimension. |
| Union field `dimension`. The dimension for the breakdown. `dimension` can be only one of the following: ||
| `user` | `string` The user that transferred the content. |
| `eventDomain` | `string` The event domain of the content transfers. |
| `contentCategory` | `string` The content category of the content transfers. |